package com.dcs.dcs.service;

import com.dcs.dcs.domain.DcsEquipment;
import com.dcs.dcs.domain.vo.DcsEquipmentFormVo;

import java.util.List;
import java.util.Map;

/**
 * 设备管理Service接口
 * 
 * @author hmy
 * @date 2025-03-08
 */
public interface IDcsEquipmentService 
{
    /**
     * 查询设备管理
     * 
     * @param equipmentId 设备管理主键
     * @return 设备管理
     */
    public DcsEquipment selectDcsEquipmentByEquipmentId(Long equipmentId);

    /**
     * 查询设备管理列表
     * 
     * @param dcsEquipment 设备管理
     * @return 设备管理集合
     */
    public List<DcsEquipment> selectDcsEquipmentList(DcsEquipment dcsEquipment);

    public List<DcsEquipmentFormVo> selectDcsEquipmentVoList(DcsEquipment dcsEquipment);

    /**
     * 新增设备管理
     * 
     * @param dcsEquipment 设备管理
     * @return 结果
     */
    public int insertDcsEquipment(DcsEquipment dcsEquipment);

    /**
     * 修改设备管理
     * 
     * @param dcsEquipment 设备管理
     * @return 结果
     */
    public int updateDcsEquipment(DcsEquipment dcsEquipment);

    /**
     * 批量删除设备管理
     * 
     * @param equipmentIds 需要删除的设备管理主键集合
     * @return 结果
     */
    public int deleteDcsEquipmentByEquipmentIds(Long[] equipmentIds);

    /**
     * 删除设备管理信息
     * 
     * @param equipmentId 设备管理主键
     * @return 结果
     */
    public int deleteDcsEquipmentByEquipmentId(Long equipmentId);

    /**
     * 构建树形结构
     */
    public List<DcsEquipmentFormVo> buildTree(List<DcsEquipmentFormVo> equipmentList);

    /**
     * 获取设备id对应索引值列表，用于初始化
     * @return
     */
    Map<Integer, Integer> getEquipmentIndexList();

    /**
     * 获取设备名称树状列表
     * @param dataType
     * @return
     */
    public List<Map<String, Object>> getEquipmentNameList(String dataType);

    /**
     * 获取实时图表页面温度，压力等传感器的树状list
     */
    public List<Map<String, Object>> getEquipmentSensorTree();
}
